% CREATEPLOTPROPERTIES Sets the properties of the plots
% This script allows to create the 'PlotProperties.mat' file, which is used
% to format the plots, created by the functions in the Visualisation
% namespace.


PlotProperties = struct();

%% General
PlotProperties.axisequal = 0; % axis equal 0=no 1=yes
PlotProperties.fontsizetitle = 35; % title fontsize
PlotProperties.defaultsize = [200 100 1200 800]; % windowsize
PlotProperties.figurecolor = [0.8 0.8 0.8]; % background color of the figure window
PlotProperties.axiscolor = [1 1 1]; % background color of the axes
PlotProperties.fontcolor = [0 0 0]; % textcolor

%% PlotLine & PlotMap & PlotPolarisationEllipse & PlotModeSpectrum 
PlotProperties.fontsizeaxis = 20; % axis values fontsize
PlotProperties.fontsizeaxislabel = 25; % xlabel/ylabel fontsize
PlotProperties.grid = 1; % 0=nogrid 1=grid 2=minorgrid
PlotProperties.xlim = [];
PlotProperties.ylim = [];

%% PlotSurf & PlotMap
PlotProperties.caxis = 1; % color axis enabled = 1 disabled = 0
PlotProperties.clim = []; % color limits, [] for none
PlotProperties.clabel = ''; % color axis label
PlotProperties.fontsizeclabel = 25; % fontsize of the caxis label

%% PlotLine, PlotPolarisationEllipse, PlotModeSpectrum
PlotProperties.linewidth = 2;
PlotProperties.colorlist = lines(20); % each line is a RGB value e.g. [1 0 0; 0 1 0; 0 0 1] for the colors red, green, blue
PlotProperties.xlog	= 0; % logarithmic x axis 0=no 1=yes
PlotProperties.linestyle = {'-','--'}; % The Linestyles
PlotProperties.fontsizelegend = 15; % The fontsize of the legends

%% PlotModeSpectrum
PlotProperties.stemmarker = {'s','d'};

%% PlotPolar
PlotProperties.circlewidth = 1;
PlotProperties.circlecolor = [0.1 0.1 0];
PlotProperties.raywidth = 1.5;
PlotProperties.raycolor = [0 0.1 0.1];
PlotProperties.fontsizecirclemarker = 10;


%% Save
save('PlotProperties.mat','PlotProperties');